QT  += core gui serialport concurrent xml

TARGET = xlab
TEMPLATE = app

QMAKE_LFLAGS += -Wl,-rpath,"'$$ORIGIN'"

HEADERS  += \
    libusbdevice.h \
    libusbdeviceinfo.h \
    customtheme.h \
    serialportconnection.h \
    customcolors.h \
    xlabinterface.h \
    oscyloskopx.h \
    about.h \
    common.h \
    pythonconsole.h \
    pythonconsoleoptions.h \
    pythonconsolesettings.h \
    options.h \
    settings.h \
    scopeoptions.h \
    scopesettings.h \
    globaloptions.h \
    globalsettings.h \
    clickablelabel.h

SOURCES += main.cpp \
    libusbdevice.cpp \
    customtheme.cpp \
    serialportconnection.cpp \
    customcolors.cpp \
    xlabinterface.cpp \
    about.cpp \
    common.cpp \
    pythonconsole.cpp \
    pythonconsoleoptions.cpp \
    pythonconsolesettings.cpp \
    options.cpp \
    settings.cpp \
    scopeoptions.cpp \
    scopesettings.cpp \
    globaloptions.cpp \
    globalsettings.cpp \
    clickablelabel.cpp

FORMS += \
    customtheme.ui \
    xlabinterface.ui \
    about.ui \
    settings.ui \
    pythonconsolesettings.ui \
    scopesettings.ui \
    globalsettings.ui

RESOURCES += \
    xlabinterface.qrc

greaterThan(QT_MAJOR_VERSION, 4):QT += widgets
greaterThan(QT_MAJOR_VERSION, 4):QT += printsupport

win32: INCLUDEPATH += $$PWD/libs/libusb
win32: LIBS += -L$$PWD/libs/libusb/win32 -lusb-1.0
unix: INCLUDEPATH += /usr/include/libusb-1.0
unix: LIBS += -L/usr/lib64 -lusb-1.0
macx: LIBS += $$PWD/libs/mac/libusb-1.0.dylib

# set path to your python version
PYTHONQT_VERSION = 3
win32: PYTHON_VERSION = 27
unix: PYTHON_VERSION = 2.7
INCLUDEPATH += $$PWD/libs/pythonqt/include
win32: INCLUDEPATH += c:/Python$${PYTHON_VERSION}/include
win32: LIBS += -L$$PWD/libs/pythonqt/win -lPythonQt-Qt5-Python$${PYTHON_VERSION}$${PYTHONQT_VERSION} \
               -lPythonQt_QtAll-Qt5-Python$${PYTHON_VERSION}$${PYTHONQT_VERSION}
unix: INCLUDEPATH += /usr/include/python$${PYTHON_VERSION}/
unix: LIBS += -L$$PWD/libs/pythonqt/centos -lPythonQt-Qt5-Python$${PYTHON_VERSION} \
              -lPythonQt_QtAll-Qt5-Python$${PYTHON_VERSION}

# fftw
win32: INCLUDEPATH += $$PWD/libs/fftw
win32: LIBS += $$PWD/libs/fftw/win32/libfftw3-3.dll

RC_FILE = xlabinterface.rc

macx {
    ICON = "xlab_ico.icns"
}

include(libs/collapsiblepanel/collapsiblepanel.pri)
include(libs/extserialport/qextserialport.pri)
include(libs/qcustomplot/qcustomplot.pri)
include(libs/qxml/qxmlputget.pri)
include(libs/colorbutton/colorbutton.pri)
include(libs/abstractsettings/abstractsettings.pri)
include(pythonobj/pythonobj.pri)
include(libs/multimeterdisplay/multimeterdisplay.pri)

DISTFILES += \
    xlab_ico.icns \



