/*
 * Part of Xlab Interface
 *
 * Created: 2019-05-14
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef MULTIMETERDISPLAYBUTTONS_H
#define MULTIMETERDISPLAYBUTTONS_H

#include <QWidget>
#include <QPushButton>

namespace Ui {
class MultimeterDisplayButtons;
}

class MultimeterDisplayButtons : public QWidget
{
    Q_OBJECT

public:
    explicit MultimeterDisplayButtons(QWidget *parent = nullptr);
    ~MultimeterDisplayButtons();

    void connectButtons(const QObject *object, const char *slotHold, const char *slotClear, const char *slotExtend, const char *slotOffset);
    void setButtonHoldChecked(bool checked);
    void setButtonClearChecked(bool checked);
    void setButtonExtendChecked(bool checked);
    void setButtonOffsetChecked(bool checked);

protected:
    virtual void paintEvent(QPaintEvent *);

private:
    Ui::MultimeterDisplayButtons *ui;

    void prepareToolButton(QPushButton *button, QString text);
};

#endif // MULTIMETERDISPLAYBUTTONS_H
