/*
 * Part of Xlab Interface
 *
 * Created: 2019-05-04
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef MULTIMETERDISPLAYOPTIONS_H
#define MULTIMETERDISPLAYOPTIONS_H

#include "options.h"
#include <QString>
#include <QColor>
#include <QFont>
#include <QMetaType>
#include <QIcon>

class MultimeterDisplayOptions : public Options
{
public:
    MultimeterDisplayOptions();

    QString getName();
    QString getCommonName();
    QString getUiClassName();
    QIcon getIcon();

    QString foregroundColorName;
    QString backgroundColorName;
    QString warningColorName;
    QString criticalColorName;
    QString valueFontFamily;
    QString labelFontFamily;
    int extendPrecision;
    bool appendLabel;
    bool appendNewLine;

    int const EXTENDPRECISION_MAX = 5;
    int validateExtendPrecision(int value);

    ABSTRACT_ITEMS_WRITE_TO_SETTINGS(
        ITEMS_WRITE_TO_SETTINGS(QString,foregroundColorName)
        ITEMS_WRITE_TO_SETTINGS(QString,backgroundColorName)
        ITEMS_WRITE_TO_SETTINGS(QString,warningColorName)
        ITEMS_WRITE_TO_SETTINGS(QString,criticalColorName)
        ITEMS_WRITE_TO_SETTINGS(QString,valueFontFamily)
        ITEMS_WRITE_TO_SETTINGS(QString,labelFontFamily)
        ITEMS_WRITE_TO_SETTINGS(int,extendPrecision)
        ITEMS_WRITE_TO_SETTINGS(bool,appendLabel)
        ITEMS_WRITE_TO_SETTINGS(bool,appendNewLine)
    )

    ABSTRACT_ITEMS_READ_FROM_SETTINGS(
        ITEMS_READ_FROM_SETTINGS(QString,foregroundColorName)
        ITEMS_READ_FROM_SETTINGS(QString,backgroundColorName)
        ITEMS_READ_FROM_SETTINGS(QString,warningColorName)
        ITEMS_READ_FROM_SETTINGS(QString,criticalColorName)
        ITEMS_READ_FROM_SETTINGS(QString,valueFontFamily)
        ITEMS_READ_FROM_SETTINGS(QString,labelFontFamily)
        ITEMS_READ_FROM_SETTINGS(int,extendPrecision)
        ITEMS_READ_FROM_SETTINGS(bool,appendLabel)
        ITEMS_READ_FROM_SETTINGS(bool,appendNewLine)
    )

};

Q_DECLARE_METATYPE(MultimeterDisplayOptions*)

#endif // MULTIMETERDISPLAYOPTIONS_H
