/*
 * Part of Xlab Interface
 *
 * Created: 2018-05-27
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef PYTHONCONSOLEOPTIONS_H
#define PYTHONCONSOLEOPTIONS_H

#include "options.h"
#include <QString>
#include <QColor>
#include <QFont>
#include <QMetaType>
#include <QIcon>

class PythonConsoleOptions : public Options
{
public:
    PythonConsoleOptions();

    QString getName();
    QString getCommonName();
    QString getUiClassName();
    QIcon getIcon();

    QString fontFamily;
    int fontSize;
    int sizeWidthMinimum;
    int sizeWidthDefault;
    int sizeWidthMaximum;
    int sizeHeightMinimum;
    int sizeHeightDefault;
    int sizeHeightMaximum;
    int sizeWidth;
    int sizeHeight;
    bool restoreSize;
    QString colorName;
    QString backgroundColorName;

    int validateSizeWidth(int width);
    int validateSizeHeight(int height);

    ABSTRACT_ITEMS_WRITE_TO_SETTINGS(
        ITEMS_WRITE_TO_SETTINGS(QString,fontFamily)
        ITEMS_WRITE_TO_SETTINGS(int,fontSize)
        ITEMS_WRITE_TO_SETTINGS(int,sizeWidthMinimum)
        ITEMS_WRITE_TO_SETTINGS(int,sizeWidthDefault)
        ITEMS_WRITE_TO_SETTINGS(int,sizeWidthMaximum)
        ITEMS_WRITE_TO_SETTINGS(int,sizeHeightMinimum)
        ITEMS_WRITE_TO_SETTINGS(int,sizeHeightDefault)
        ITEMS_WRITE_TO_SETTINGS(int,sizeHeightMaximum)
        ITEMS_WRITE_TO_SETTINGS(int,sizeWidth)
        ITEMS_WRITE_TO_SETTINGS(int,sizeHeight)
        ITEMS_WRITE_TO_SETTINGS(bool,restoreSize)
        ITEMS_WRITE_TO_SETTINGS(QString,colorName)
        ITEMS_WRITE_TO_SETTINGS(QString,backgroundColorName)
    )

    ABSTRACT_ITEMS_READ_FROM_SETTINGS(
        ITEMS_READ_FROM_SETTINGS(QString,fontFamily)
        ITEMS_READ_FROM_SETTINGS(int,fontSize)
        ITEMS_READ_FROM_SETTINGS(int,sizeWidthMinimum)
        ITEMS_READ_FROM_SETTINGS(int,sizeWidthDefault)
        ITEMS_READ_FROM_SETTINGS(int,sizeWidthMaximum)
        ITEMS_READ_FROM_SETTINGS(int,sizeHeightMinimum)
        ITEMS_READ_FROM_SETTINGS(int,sizeHeightDefault)
        ITEMS_READ_FROM_SETTINGS(int,sizeHeightMaximum)
        ITEMS_READ_FROM_SETTINGS(int,sizeWidth)
        ITEMS_READ_FROM_SETTINGS(int,sizeHeight)
        ITEMS_READ_FROM_SETTINGS(bool,restoreSize)
        ITEMS_READ_FROM_SETTINGS(QString,colorName)
        ITEMS_READ_FROM_SETTINGS(QString,backgroundColorName)
    )

};

Q_DECLARE_METATYPE(PythonConsoleOptions*)

#endif // PYTHONCONSOLEOPTIONS_H
