/*
 * Part of Xlab Interface
 *
 * Created: 2017-12-16
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#include "pythonxlabobject.h"
#include "xlabinterface.h"
#include <QThread>
#include "common.h"


PythonXlabObject::PythonXlabObject():QObject(NULL)
{
    xlabPy = 0;
}

PythonXlabObject::~PythonXlabObject()
{
}

void PythonXlabObject::setXlabQt(XlabInterface *xlab)
{
    xlabPy = xlab;
}

PyObject *PythonXlabObject::getMainModule()
{
    return PythonQt::self()->getMainModule();
}

void PythonXlabObject::sleep(unsigned long sec)
{
    QThread::sleep(sec);
}

void PythonXlabObject::msleep(unsigned long msec)
{
    QThread::msleep(msec);
}

QString PythonXlabObject::getVersion()
{
    return QString(QCoreApplication::applicationName() + " (" + QCoreApplication::organizationDomain()  + ") - "
                   + tr("version:") + " " + QCoreApplication::applicationVersion() + "." + compilationTime());
}

int PythonXlabObject::getBufferSize()
{
    return xlabPy->bufferSize;
}

QMainWindow *PythonXlabObject::createWindow()
{
    QMainWindow *m = new QMainWindow();
    m->show();
    return m;
}

QObject *PythonXlabObject::findChild(QObject *o, const QString& name)
{
    return o->findChild<QObject*>(name);
}

void PythonXlabObject::refresh()
{
    qApp->processEvents();
}

/*
void PythonXlabObject::closeAbout()
{
    if (xlabPy->about != nullptr) xlabPy->about->closeForm();
}
*/
