/*
 * Part of Xlab Interface
 *
 * Created: 2017-12-16
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef PYTHONXLABOBJECT_H
#define PYTHONXLABOBJECT_H

#include "PythonQt.h"

#include <QObject>
#include <QMainWindow>


class XlabInterface;

class PythonXlabObject : public QObject {
	Q_OBJECT

public:
    PythonXlabObject();
    ~PythonXlabObject();
    void setXlabQt(XlabInterface *xlab);

public slots:
    PyObject *getMainModule();
    QMainWindow *createWindow();
    QObject *findChild(QObject *o, const QString &name);
    void refresh();
    void sleep(unsigned long sec);
    void msleep(unsigned long msec);
    QString getVersion();
    int getBufferSize();

private:
    XlabInterface *xlabPy;
};

#endif // PYTHONXLABOBJECT_H
