/*
 * Part of Xlab Interface
 *
 * Created: 2018-06-03
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef SCOPEOPTIONS_H
#define SCOPEOPTIONS_H

#include "options.h"
#include <QString>
#include <QMetaType>


class ScopeOptions : public Options
{
public:
    ScopeOptions();

    QString getName();
    QString getCommonName();
    QString getUiClassName();
    QIcon getIcon();

    int gridStyle;
    int logicLabelPosition;
    int theme;

    ABSTRACT_ITEMS_WRITE_TO_SETTINGS(
        ITEMS_WRITE_TO_SETTINGS(int,gridStyle)
        ITEMS_WRITE_TO_SETTINGS(int,logicLabelPosition)
        ITEMS_WRITE_TO_SETTINGS(int,theme)
    )

    ABSTRACT_ITEMS_READ_FROM_SETTINGS(
        ITEMS_READ_FROM_SETTINGS(int,gridStyle)
        ITEMS_READ_FROM_SETTINGS(int,logicLabelPosition)
        ITEMS_READ_FROM_SETTINGS(int,theme)
    )

};

Q_DECLARE_METATYPE(ScopeOptions*)

#endif // SCOPEOPTIONS_H
