/*
 * Part of Xlab Interface
 *
 * Created: 2018-05-27
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef SETTINGS_H
#define SETTINGS_H

#include <QDialog>
#include "globalsettings.h"
#include "globaloptions.h"
#include "pythonconsolesettings.h"
#include "pythonconsoleoptions.h"
#include "scopesettings.h"
#include "scopeoptions.h"
#include "multimeterdisplaysettings.h"
#include "multimeterdisplayoptions.h"

class PythonConsoleOptions;

namespace Ui {
class Settings;
}

class Settings : public QDialog
{
    Q_OBJECT

public:
    explicit Settings(QWidget *parent = nullptr, QMap<QString, QVariant *> *config = nullptr, QString activeItem = "");
    ~Settings();

private slots:
    void on_listWidget_itemSelectionChanged();
    void on_pushButtonApply_clicked();
    void on_pushButtonOk_clicked();
    void on_pushButtonCancel_clicked();

signals:
    void applyRequest();

private:
    Ui::Settings *ui;

    GlobalSettings *globalSettings;
    PythonConsoleSettings *pythonSettings;
    ScopeSettings *scopeSettings;
    MultimeterDisplaySettings *multimeterDisplaySettings;

};

#endif // SETTINGS_H
